
/**
 * @author Radek Oslejsek
 */
public class Car implements Informing, Going {
    
    private String rz;
    private String type;
    private double speed = 0.0;
    
    /**
     * @param rz Registration number
     * @param type Car type
     */
    public Car(String rz, String type) {      
        this.rz = rz;
        this.type = type;
    }
    
    @Override
    public void writeInfo() {
        System.out.println("Car of type " + type + " with RZ " + rz);
    }

    @Override
    public void start() {
        speed = 100;
    }
    
    @Override
    public void stop() {
        speed = 0;
    }
}
